# DataExchange
TKSTEP209
StepFEA

# StepFEA_NodeSet Class Reference

Representation of STEP entity NodeSet
.

`#include <StepFEA_NodeSet.hxx>`

Inheritance diagram for StepFEA_NodeSet:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_NodeSet ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Handle(StepFEA_HArray1OfNodeRepresentation)&aNodes)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepFEA_HArray1OfNodeRepresentation | Nodes () const
| Returns field Nodes .
Standard_EXPORT void | SetNodes (const Handle(StepFEA_HArray1OfNodeRepresentation)&Nodes)
| Set field Nodes .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepFEA_HArray1OfNodeRepresentation | theNodes

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_NodeSet::StepFEA_NodeSet | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepFEA_NodeSet::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem.

Standard_EXPORT void StepFEA_NodeSet::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Handle(StepFEA_HArray1OfNodeRepresentation)& | aNodes
| ) |

Standard_EXPORT Handle_StepFEA_HArray1OfNodeRepresentation StepFEA_NodeSet::Nodes | ( |  | ) | const

Standard_EXPORT void StepFEA_NodeSet::SetNodes | ( | const Handle(StepFEA_HArray1OfNodeRepresentation)& | Nodes | ) |

## Field Documentation

Handle_StepFEA_HArray1OfNodeRepresentation StepFEA_NodeSet::theNodes `[private]`

The documentation for this class was generated from the following file:

- StepFEA_NodeSet.hxx